using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 年度培训内容关联表
    /// </summary>
    [Description("年度培训内容关联表")]
    public class T_SE_YEAR_TRAIN_PLAN_CONTENT : MesEntityBase
    {
        /// <summary>
        /// 年度培训计划详情ID
        /// </summary>
        [Description("年度培训计划详情ID")]
        [DataFieldForeignKey("Nav_YearTrainPlanDetail","Nav_YearTrainPlanContent")]
        public Guid YEAR_TRAIN_PLAN_DETAIL_ID { get; set; }
        /// <summary>
        /// 导航: 年度培训计划详情
        /// </summary>
        [Description("导航: 年度培训计划详情")]
        public T_SE_YEAR_TRAIN_PLAN_DETAIL Nav_YearTrainPlanDetail { get; set; }
        /// <summary>
        /// 培训内容ID
        /// </summary>
        [Description("培训内容")]
        [DataFieldForeignKey("Nav_TestEnumPoint")]
        [FormFieldEdit]
        public Guid? CONTENT_ID { get; set; }
        /// <summary>
        /// 导航: 培训内容
        /// </summary>
        [Description("导航: 培训内容")]
        public T_SE_TEST_ENUM_POINT Nav_TestEnumPoint { get; set; }
    }
}
